QGIS Application - Bug report #15565
lack of libstdc++-6.dIl in Qgis 2.14\\bin (OS Windows 7 and 8)
2016-09-14 01:53 AM - Mattia Scola

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.5 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 23488
Description

...excuse me for my poor english

| used to work with QGis 2.8.3 32 bit installed on Windows 7.

To run faster some special calculations | need, | pre-compiled a C++ dIl (with Qt creator and MINGW) to be read from QGis Python
plugins that | wrote importing "ctypes" to get direct access to C++ functions from Python.

Everythings was working fine (from Qgis 2.0 until Qgis 2.8.3) but when | tryed to do the same by installing QGis 2.14.5 and 2.14.6 LTR
there are some errors.

| tryed QGis 2.14.6 in 2 WMvare virtual machines: one with OS Windows 7 32 bit and the other one with OS Windows 8 32 bit.

My dll was impossible to load and | found that the main error si the lack of libstdc++-6.dll in the folder bin of the QGis program.

| solved this lack by copying the file libstd++-6.dll from the folder bin of QGis 2.8.3 installed in my physical machine to the folders bin of
QGis 2.14 (both virtual machines).

So | fixed the problem and everything works again.

Why libstdc++-6.dll has not installed with QGis 2.147?

History

#1 - 2016-09-14 12:24 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

QGIS in OSGeo4W is built with Visual C++ and doesn't need libstdc++.

#2 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown
